<?php
include_once("../incs/conf.php");
include_once("../incs/fmysql.php");
include_once("../incs/fnc2.php");
include_once("../incs/head2.php");

$id=fil($_GET['id']);
$act=fil($_GET['act']);
$p=fil($_GET['p']);

if($on==1){
$bank=mysql_fetch_array(mysql_query("SELECT * FROM `bank`"));

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
head("Игры - Банк",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - Банк</div>";

echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"../rules.php\">правила</a> сайта!<br>";
include_once("../incs/down2.php");
}

if($settings[bank]==1){
head("Игры - Банк",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - Банк</div>";
echo "Раздел закрыт<br>";
include_once("../incs/down2.php");}

switch($act){

case'close_schet_ok':

head("Игры - Банк - Закрить счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Закрить счет</div>";

$close_schet=mysql_fetch_array(mysql_query("SELECT * FROM `bank` WHERE `id` = '$p' AND `id_user` = '$user[id]'"));

$time_schet=$time-$close_schet[time];
$time_schet=floor($time_schet/3600);
$suma_new=round($close_schet[suma]*0.2,0);
$suma_new=round($suma_new/24,0);
$suma_new_v=$suma_new*$time_schet;

$zak_sum=$close_schet[suma]+$suma_new_v;

if($close_schet[suma]!=0){
mysql_query("UPDATE `user` SET `money` = '".($user['money']+$zak_sum)."' WHERE `id` = '$user[id]'");
mysql_query("DELETE FROM `bank` WHERE `id` = '$p'");
echo "Вы закрыли счет №$p !<br>";
echo "Вы получаете $zak_sum денег.<br>";
}else{
echo "Счет №$p не являетса вашым!<br>";
}
echo "<div class=\"menu\"><a href=\"bank.php?id=$id&act=my\">Вернутса в банк</a></div>";
include_once("../incs/down2.php");
break;

case'close_schet':

head("Игры - Банк - Закрить счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Закрить счет</div>";

$close_schet=mysql_fetch_array(mysql_query("SELECT * FROM `bank` WHERE `id` = '$p' AND `id_user` = '$user[id]'"));

$time_schet=$time-$close_schet[time];
$time_schet=floor($time_schet/3600);
$suma_new=round($close_schet[suma]*0.2,0);
$suma_new=round($suma_new/24,0);
$suma_new_v=$suma_new*$time_schet;

$zak_sum=$close_schet[suma]+$suma_new_v;

echo "Вы хотите закрить счет №$p ?<br>";
echo "В случаю закрытия в получаете $zak_sum денег.<br>";

echo "<div class=\"menu\"><a href=\"bank.php?act=close_schet_ok&p=$p\">Да, закрить</a></div>";
echo "<div class=\"menu\"><a href=\"bank.php?act=my\">Нет, вернутса</a></div>";

include_once("../incs/down2.php");
break;

case'status_schet':

head("Игры - Банк - Открить счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Открить счет</div>";

$schet=mysql_query("SELECT * FROM `bank` WHERE `id_user` = '$user[id]' ORDER BY id DESC");
while ($bank_schet = mysql_fetch_array($schet))
{
if($num==1){ 
echo "<div class='reki'>"; 
$num=0;
}else{ 
echo "<div class='rek'>"; 
$num=1;}
$time_schet=$time-$bank_schet[time];
$time_schet=floor($time_schet/3600);
$suma_new=round($bank_schet[suma]*0.2,0);
$suma_new_chas=round($suma_new/24,0);
$suma_new_v=$suma_new_chas*$time_schet;
echo "№$bank_schet[id] | Сума: $bank_schet[suma] | Прошло часов: $time_schet | Прирост за один час: $suma_new_chas | Наросло: $suma_new_v<br>";
echo "<a href=\"bank.php?act=close_schet&p=$bank_schet[id]\">Закрить счет</a>";
echo "</div>";
}

include_once("../incs/down2.php");
break;

case'new_schet_ok':

head("Игры - Банк - Открить счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Открить счет</div>";

$suma=intval(filtr($_POST['suma']));
if($user[money]>=100 && $user[money]>=$suma){
if($suma>=100){
mysql_query("INSERT INTO `bank` (`id_user`, `suma`, `time`, `proc`) values('$user[id]', '$suma', '$time', '20')");
mysql_query("UPDATE `user` SET `money` = '".($user[money]-$suma)."' WHERE `id` = '$user[id]'");
echo "Счет успешно открыт! Проценты начисляютса каждые 24 часа.<br>";
}else{
echo "Вы не ввели суму денег!<br>";
}
}else{
echo "У вас недостаточно денег для открытия счета.<br>";
}
include_once("../incs/down2.php");
break;

case'new_schet':

head("Игры - Банк - Открыть счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Открыть счет</div>";

echo "Денег наличкой: <b>$user[money]</b><br>";
echo "Минимальная сума вклада: <b>100</b><br>";
echo "Максимальная сума вклада: <b>~</b><br>";

if($user[money]>=100){
echo '<form method="post" action="?act=new_schet_ok">';
echo 'Сума вклада:<br><input type="text" name="suma" maxlength="32"/><br>';
echo '<input value="Открыть счет" type="submit"/></form>';
}else{
echo "У вас нет денег для открытия минимального счета.<br>";
}
include_once("../incs/down2.php");
break;

case'my':

head("Игры - Банк - Мой счет",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Мой счет</div>";

$kol_my_schet = mysql_num_rows(mysql_query("SELECT id FROM bank WHERE `id_user` = '$user[id]'"));

if($kol_my_schet==0){
echo "Счетов не обнаружено<br>";
}else{
echo "Счетов в банке: $kol_my_schet<br>";
echo "<div class=\"menu\"><a href=\"bank.php?act=status_schet\">Статус счетов</a></div>";
}
echo "<div class=\"menu\"><a href=\"bank.php?act=new_schet\">Открыть счет</a></div>";

include_once("../incs/down2.php");
break;

case'stat':

head("Игры - Банк - Статистика банка",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - <a href=\"bank.php\">Банк</a> - Статистика банка</div>";

$kol_schet = mysql_num_rows(mysql_query("SELECT id FROM bank"));

echo "Открыто счетов в банке: $kol_schet<br>";

include_once("../incs/down2.php");
break;

}

head("Игры - Банк",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - Банк</div>";

echo "<div class=\"menu\"><a href=\"bank.php?act=my\">Мой счет</a></div>";
echo "<div class=\"menu\"><a href=\"bank.php?act=stat\">Статистика банка</a></div>";

}else{
head("Игры - Банк",$meuser,$auth);
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Игры</a> - Банк</div>";

echo "Чтобы пользоваться банком, нужно <a href=\"../aut.php\">авторизоваться</a> или <a href=\"../reg.php\">зарегистрироваться</a>!<br>";

}
include_once("../incs/down2.php");
?>